%global packname  corpus
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          0.10.0
Release:          2%{?dist}
Summary:          Text Corpus Analysis

License:          ASL 2.0
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-stats R-utf8
# Suggests:  R-knitr R-Matrix R-testthat
# LinkingTo:
# Enhances:

Requires:         R-stats R-utf8
Suggests:         R-Matrix
BuildRequires:    R-devel tex(latex)
BuildRequires:    R-stats R-utf8
BuildRequires:    R-knitr R-Matrix R-testthat

%description
Text corpus data analysis, with full support for international text
(Unicode).  Functions for reading data from newline-delimited 'JSON'
files, for normalizing and tokenizing text, for searching for term
occurrences, and for computing term occurrence frequencies, including
n-grams.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so
%{rlibdir}/%{packname}/WORDLIST
%{rlibdir}/%{packname}/data


%changelog
* Thu May 17 2018 Tom Callaway <spot@fedoraproject.org> - 0.10.0-2
- rebuild for R 3.5.0

* Wed Mar 28 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.10.0-1
- initial package for Fedora
